<template>
  <div class="info_wrap">
    <div class="author_photo" v-images-loaded="imageLoaded">
      <img v-bind:src="author.author_photo" alt="">
    </div>
    <div class="author_description">
      <h2>{{author.author_name}} {{author.author_surname}}</h2>
      <p v-html="author.author_description">
      </p>
    </div>
  </div>
</template>


<script>
import imagesLoaded from 'vue-images-loaded'

export default {
  name: 'InfoPage',
  props: ['author'],
  directives: {
      imagesLoaded,
  },

  created () {
    this.$store.commit('setLoadpage', false)
  },
  
  methods: {
    imageLoaded: function(instance) {
        this.$store.commit('setLoadpage', true)
    }
  }
}
</script>

<style>
  .info_wrap {
    padding: 20px;
    overflow: hidden;
  }

  .author_photo {
    float:left;
    padding-top: 10px;
  }

  .author_photo img {
    width: 80%;
    max-width: 450px;
    min-width: 300px;
    height: auto;
  }

  .author_description  {
    min-width: 300px;
  }

  .author_description h2 {
    font-size: 21px;
    margin-top: 3%;
    margin-bottom: 20px;
  }

  @media only screen and (max-width: 768px) {
    .author_photo  {
      float: none;
      text-align: center;
    }
  }
</style>
